<?php
require_once __DIR__ . '/../vendor/autoload.php';
use App\GameClient;

class ProgramMain {
    private static ?GameClient $client = null;
    
    private static function getClient(): GameClient {
        if (self::$client === null) {
            self::$client = new GameClient();
        }
        return self::$client;
    }

    public static function runInteractiveCli(): void {
        $client = self::getClient();
        
        echo "游戏客户端交互模式（输入命令执行，如 login, outGame, exit）\n";
        
        while (true) {
            $input = readline("> ");  // 等待用户输入
            $args = explode(' ', $input);  // 拆解命令和参数
            
            switch ($args[0]) {
                case 'login':
                    if (count($args) < 3) {
                        echo "用法: login [账号] [密码]\n";
                        break;
                    }
                    $client->login($args[1], $args[2]);
                    break;
                case 'outGame':
                    $client->outGame();
                    break;
                case 'exit':
                    $client->close();  // 关闭 WebSocket 连接
                    exit(0);
                default:
                    echo "未知命令。可用命令: login, outGame, exit\n";
            }
        }
    }
}

// 直接进入交互模式
ProgramMain::runInteractiveCli();